# The FreeleapsSecretStore object is cluster-wide
apiVersion: freeleaps.com/v1alpha1
kind: FreeleapsSecretStore
metadata:
  name: example-secret-store
spec:
  provider:
    azurekv:
      tenantId: "{TENANT_ID}"
      vaultUrl: "{VAULT_URL}"
      vaultName: "{VAULT_NAME}"
      subscriptionId: "{SUBSCRIPTION_ID}"
      resourceGroup: "{RESOURCE_GROUP}"
      authSecretRef:
        clientId:
          name: example-secret-store-azure-credentials
          key: clientId
        clientSecret:
          name: example-secret-store-azure-credentials
          key: clientSecret
